#ifndef __ADS_H              //
#define __ADS_H              //

#define SDA_1  P2OUT|=0X01    //SDA线置高
#define SDA_0  P2OUT&=0XFE    //SDA线置低
#define SCL_1  P2OUT|=0X02    //SCL线置高
#define SCL_0  P2OUT&=0XFD    //SCL线置低
#define SDA    P2IN&0X01     //SDA线
#define SCL    P2IN&0x02

#define SDA_IN  P2DIR&=0XFE   //SDA线 输入
#define SDA_OUT P2DIR|=0X01   //SDA线 输出


void ads_config(unsigned char);
unsigned int ads_result(void);
void ads_initial(void);
void ads_convert(void);

#endif